/***************************************************************************
 *   Copyright (C) 2008 by Rachmaninov,,,   							   *
 *   rachmaninov2@gmail.com												   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QMessageBox>
#include <QTimer>

#include "odthtml.h"
#include "processor.h"
#include "application.h"

int main(int argc, char *argv[]) {

    Application app(argc, argv);
	Processor processor;

	try {

		/* TODO: está pendiente extraer el archivo content.xml del
		* archivo comprimido ODT, para efectos de pruebas se está
		* tomando una versión descomprimida del archivo.
		*/

	  	
	  	QTimer::singleShot(0, &processor, SLOT(start()));
/*
		// QString filename = argv[1];
		QString filename = "test/content.xml";
		OdtHtml odtHtml(filename);
		odtHtml.convert();
		QString html = odtHtml.getHtml();
		app.setHtml(html); */
	} catch (QString ex) {
		QMessageBox::critical(NULL, "ERROR", ex, QMessageBox::Ok);
		return 1;
	}
	return app.exec();
}
